export { getAutocompleteSuggestions, getDefinitionQueryResultForDefinitionNode, getDefinitionQueryResultForFragmentSpread, getDefinitionQueryResultForNamedType, getDefinitionQueryResultForField, getDefinitionQueryResultForArgument, getDiagnostics, getFragmentDefinitions, getHoverInformation, getOutline, getRange, getTypeInfo, getVariableCompletions, SEVERITY, DIAGNOSTIC_SEVERITY, canUseDirective, SuggestionCommand, validateQuery, } from './interface';
export { onlineParser, ParseRules, CharacterStream, RuleKinds, LexRules, isIgnored, p, list, t, opt, getTokenAtPosition, GraphQLDocumentMode, getDefinitionState, getFieldDef, } from './parser';
export { CompletionItemKind, FileChangeTypeKind } from './types';
export { getASTNodeAtPosition, getFragmentDependencies, getFragmentDependenciesForAST, getOperationASTFacts, getOperationFacts, getQueryFacts, getVariablesJSONSchema, offsetToPosition, pointToOffset, Position, collectVariables, validateWithCustomRules, Range, } from './utils';
//# sourceMappingURL=index.js.map